Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes

# cv::OneWayDescriptorMatcher::Params Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
| Params (int poseCount=POSE_COUNT, Size patchSize=Size(PATCH_WIDTH, PATCH_HEIGHT), string pcaFilename=string(), string trainPath=string(), string trainImagesList=string(), float minScale=GET_MIN_SCALE(), float maxScale=GET_MAX_SCALE(), float stepScale=GET_STEP_SCALE())
## Static Public Member Functions
static float | GET_MAX_SCALE ()
static float | GET_MIN_SCALE ()
static float | GET_STEP_SCALE ()
## Public Attributes
float | maxScale
float | minScale
Size | patchSize
string | pcaFilename
int | poseCount
float | stepScale
string | trainImagesList
string | trainPath
## Static Public Attributes
static const int | PATCH_HEIGHT = 24
static const int | PATCH_WIDTH = 24
static const int | POSE_COUNT = 500

## Constructor & Destructor Documentation

cv::OneWayDescriptorMatcher::Params::Params | ( | int | poseCount = `POSE_COUNT`,
|  | Size | patchSize = `Size(PATCH_WIDTH, PATCH_HEIGHT)`,
|  | string | pcaFilename = `string()`,
|  | string | trainPath = `string()`,
|  | string | trainImagesList = `string()`,
|  | float | minScale = `GET_MIN_SCALE()`,
|  | float | maxScale = `GET_MAX_SCALE()`,
|  | float | stepScale = `GET_STEP_SCALE()`
| ) |  |

## Member Function Documentation

static float cv::OneWayDescriptorMatcher::Params::GET_MAX_SCALE | ( | ) | `[inline, static]`

static float cv::OneWayDescriptorMatcher::Params::GET_MIN_SCALE | ( | ) | `[inline, static]`

static float cv::OneWayDescriptorMatcher::Params::GET_STEP_SCALE | ( | ) | `[inline, static]`

## Member Data Documentation

float cv::OneWayDescriptorMatcher::Params::maxScale

float cv::OneWayDescriptorMatcher::Params::minScale

const int cv::OneWayDescriptorMatcher::Params::PATCH_HEIGHT = 24`[static]`

const int cv::OneWayDescriptorMatcher::Params::PATCH_WIDTH = 24`[static]`

Size cv::OneWayDescriptorMatcher::Params::patchSize

string cv::OneWayDescriptorMatcher::Params::pcaFilename

const int cv::OneWayDescriptorMatcher::Params::POSE_COUNT = 500`[static]`

int cv::OneWayDescriptorMatcher::Params::poseCount

float cv::OneWayDescriptorMatcher::Params::stepScale

string cv::OneWayDescriptorMatcher::Params::trainImagesList

string cv::OneWayDescriptorMatcher::Params::trainPath

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines